%define anolis_release 2

Name:               perl-TimeDate
Version:            2.33
Epoch:              1
Release:            %{anolis_release}%{?dist}
Summary:            A Perl module for time and date manipulation
License:            GPL-1.0-or-later OR Artistic-1.0-Perl
URL:                https://metacpan.org/release/TimeDate
Source0:            https://cpan.metacpan.org/authors/id/A/AT/ATOOMIC/TimeDate-%{version}.tar.gz


BuildRequires:      gcc gcc-c++ make autoconf glibc-common coreutils
BuildRequires:      perl-generators perl-interpreter  
BuildRequires:      perl(:VERSION) >= 5.4 perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:      perl(strict) perl(warnings)
BuildRequires:      perl(base) perl(Carp) perl(Exporter) perl(Time::Local) perl(utf8) perl(vars)
BuildRequires:      perl(Test::More)
BuildArch:          noarch

%description
This module includes a number of smaller modules that can be used in Perl to manipulate time 
and date strings. Among them, the Date::Format and Date::Parse modules can display and read 
times and dates in various formats, providing a reliable interface to textual representations 
of points in time.

%package doc
Summary:   Documents for %{name}
Requires:  %{name} = %{epoch}:%{version}-%{release}

%description doc
perl-TimeDate-doc contains pages for perl-TimeDate.

%prep
%autosetup -n TimeDate-%{version} -p1

iconv -f iso-8859-1 -t utf8 < ChangeLog > ChangeLog.utf8
mv ChangeLog.utf8 ChangeLog

chmod -x lib/Date/Language/{Russian_cp1251,Russian_koi8r,Turkish}.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files 
%{_mandir}/man3/*.3*
%{perl_vendorlib}/Time/
%{perl_vendorlib}/Date/
%{perl_vendorlib}/TimeDate.pm


%files doc
%doc ChangeLog README


%changelog
* Wed Apr 12 2023 chen_yu_ao <m15927509890@163.com> - 1:2.33-2
- change spec file format

* Tue Jan 31 2023 Funda Wang <fundawang@yeah.net> - 1:2.33-1
- Import package for anolis 23
